routes/web.php
<?php

use App\Http\Controllers\AlumnoController;
use App\Http\Controllers\CursoController;
use App\Http\Controllers\PerteneceController;
use App\Http\Controllers\PracticaController;
use App\Http\Controllers\PresentaController;
use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('index');
})->name('inicio');

Route::resource('alumno', AlumnoController::class);
Route::resource('curso', CursoController::class);
Route::resource('practica', PracticaController::class);
Route::resource('pertenece', PerteneceController::class);
Route::resource('presenta', PresentaController::class);


// Enrutamiento adicional para practicas
Route::controller(PracticaController::class)->group(function () {
    Route::get('/practica/confirmar/{practica}', 'confirmar')->name('practica.confirmar');
});

// Enrutamiento adicional para Pertenece
Route::controller(PerteneceController::class)->group(function () {
    Route::get('/pertenece/confirmar/{pertenece}', 'confirmar')->name('pertenece.confirmar');
});

// Enrutamiento adicional para Presenta
Route::controller(PresentaController::class)->group(function () {
    Route::get('/presenta/confirmar/{presenta}', 'confirmar')->name('presenta.confirmar');
});

resources/views/layouts/main.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Inicio</title>
    @vite('resources/scss/app.scss')
    @yield('css')
</body>
</head>
<body>
    <div class="menu">
        <ul>
            <li><a href="{{ route('inicio') }}" class="{{ request()->routeIs('inicio') ? 'active' : '' }}">Inicio</a></li>
            <li><a href="{{ route('alumno.index') }} " class="{{ request()->routeIs('alumno.*') ? 'active' : '' }}">Alumnos</a></li>
            <li><a href="{{ route('curso.index') }}" class="{{ request()->routeIs('curso.*') ? 'active' : '' }}">Cursos</a></li>
            <li><a href="{{ route('practica.index') }}" class="{{ request()->routeIs('practica.*') ? 'active' : '' }}">Practicas</a></li>
            <li><a href="{{ route('pertenece.index') }}" class="{{ request()->routeIs('pertenece.*') ? 'active' : '' }}">Perteneces</a></li>
            <li><a href="{{ route('presenta.index') }}" class="{{ request()->routeIs('presenta.*') ? 'active' : '' }}">Presentas</a></li>
        </ul>
    </div>

    <div>
        @yield('content')
    </div><br>

    <div class="footer">
        <p>Aplicación de gestion de practicas y alumnos con laravel</p>
    </div>
    @vite('resources/js/app.js')
    @yield('js')
</body>
</html>